class OsmTools
  def self.import_osm_data_from_json_string(source_json)
    source_data = JSON.parse(source_json)    
    # načíst všechna data - raději postupně od node, přes way do relation (i když by to mělo být právě takto v zdrojích seřazeno)
    source_data['elements'].each do |e| 
      OsmNode.create_from_json(e) if e['type']=='node'
      OsmGuidepost.new_or_update_from_json(e).save if e['type']=='node' and !e['tags'].nil? and e['tags']['information'] == 'guidepost'
    end
    source_data['elements'].each do |e| 
      OsmWay.create_from_json(e) if e['type']=='way'
    end
    source_data['elements'].each do |e| 
      OsmTrail.create_or_update_from_json(e) if e['type']=='relation' and !(OsmTrail.SKIP_IDS.include?(e['id'])) # and (e['id'].to_i > 7670163)
    end
  end

end
